%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Config/Tiny.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Find/Rule.pm) perl(File/HomeDir.pm) perl(File/Spec.pm) perl(File/Spec/Functions.pm) perl(Getopt/Long.pm) perl(Lingua/EN/Inflect/Number.pm) perl(List/Util.pm) perl(Module/Pluggable.pm) perl(PPI.pm) perl(Pod/Usage.pm) perl(Readonly.pm) perl(Test/More.pm) perl(Test/Output.pm) perl(base.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name Module-Checkstyle
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Validate that your code confirms to coding guidelines
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/C/CL/CLAESJAC/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Module::Checkstyle is a tool similar to checkstyle http://checkstyle.sourceforge.net for Java.
It allows you to validate that your code confirms to a set of guidelines checking various things
such as indentation, naming, whitespace, complexity and so forth.

Module::Checkstyle is also extensible so your organization can implement custom checks that
are not provided by the standard distribution. There is a guide on how to write checks
in the Module::Checkstyle::Check manpage

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/M*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

